Subject: Re: [PATCH and RFC] gitweb: Remove --full-history from git_history

From: Jakub Narebski <[email-masked]>
Date: Mon, 14 Aug 2006 13:10:54 +0200

Jakub Narebski wrote:

> PROPOSAL:
> ---------
> 
> Implement --follow/--follow-path/--follow-contents option to git-rev-list,
> which would output besides revision ids also current path limit; the
format
> could be for example:
> 
>   <commit> [ -- <paths>...]
> 
> for example:
> $ git rev-list --follow db58b69ba -- gitweb/test/file+plus+sign
> 0a8f4f0020cb35095005852c0797f0b90e9ebb74 -- gitweb/test/file+plus+sign
> 85852d44e48c1d1c6d815cc5fccf1b580f2f2cad -- test/file+plus+sign
> cc3245b6512a01d74c0fd460d762ba8a1e8b968a -- test/file+plus+sign

And of course git-diff-tree --stdin should accept not only list
of revisions or list of tree pairs, but also path limits.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git